/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * Metadata for supported attribute values.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class AttributeValueMetadata extends com.google.api.client.json.GenericJson {

  /**
   * The display name for this value, localized where available; otherwise, in English. The value
   * display name is intended to be used in context with the attribute display name. For example,
   * for a "WiFi" enum attribute, this could contain "Paid" to represent paid Wi-Fi.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String displayName;

  /**
   * The attribute value.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Object value;

  /**
   * The display name for this value, localized where available; otherwise, in English. The value
   * display name is intended to be used in context with the attribute display name. For example,
   * for a "WiFi" enum attribute, this could contain "Paid" to represent paid Wi-Fi.
   * @return value or {@code null} for none
   */
  public java.lang.String getDisplayName() {
    return displayName;
  }

  /**
   * The display name for this value, localized where available; otherwise, in English. The value
   * display name is intended to be used in context with the attribute display name. For example,
   * for a "WiFi" enum attribute, this could contain "Paid" to represent paid Wi-Fi.
   * @param displayName displayName or {@code null} for none
   */
  public AttributeValueMetadata setDisplayName(java.lang.String displayName) {
    this.displayName = displayName;
    return this;
  }

  /**
   * The attribute value.
   * @return value or {@code null} for none
   */
  public java.lang.Object getValue() {
    return value;
  }

  /**
   * The attribute value.
   * @param value value or {@code null} for none
   */
  public AttributeValueMetadata setValue(java.lang.Object value) {
    this.value = value;
    return this;
  }

  @Override
  public AttributeValueMetadata set(String fieldName, Object value) {
    return (AttributeValueMetadata) super.set(fieldName, value);
  }

  @Override
  public AttributeValueMetadata clone() {
    return (AttributeValueMetadata) super.clone();
  }

}
